Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.api
Class CompilationMessageBundle

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.compiler.api.CompilationMessageBundle

Direct Known Subclasses:
  AssignGeneratorMessages, AssignGeneratorMessages, CommonCompilationMessages, CompensateGeneratorMessages, CompensateGeneratorMessages, ExtensionActivityGeneratorMessages, FlowGeneratorMessages, FlowGeneratorMessages, ForEachGeneratorMessages, ForEachGeneratorMessages, IfGeneratorMessages, IfGeneratorMessages, InvokeGeneratorMessages, InvokeGeneratorMessages, PickGeneratorMessages, PickGeneratorMessages, ReplyGeneratorMessages, ReplyGeneratorMessages, WaitGeneratorMessages, WaitGeneratorMessages, XPathMessages

    public abstract class CompilationMessageBundle

extends MessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`CompilationMessageBundle()`

Method Summary
`protected CompilationMessage` | `formatCompilationMessage(java.lang.String message, java.lang.Object... args)`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilationMessageBundle

    public CompilationMessageBundle()

Method Detail

### formatCompilationMessage

    protected CompilationMessage formatCompilationMessage(java.lang.String message,
                                                          java.lang.Object... args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD